# API documentation

- [Rate Limit](https://docs.saleschat.pro/api-documentation/rate-limit.md): All our APIs have rate limits. On reaching the rate limit threshold, an API will respond withHTTP status code 429 TOO MANY REQUESTS
- [User](https://docs.saleschat.pro/api-documentation/user.md): This page provides APIs to manage users in Saleschat, including adding users, resetting passwords, generating magic links, and fetching user details.
- [Contact](https://docs.saleschat.pro/api-documentation/contact.md): This page provides API documentation for creating a contact in Saleschat.pro, including the required parameters and sample responses for successful contact creation.
- [Chatroom](https://docs.saleschat.pro/api-documentation/chatroom.md): This page outlines the API documentation for creating, managing, reassigning, and activating/deactivating chatrooms in Saleschat.pro.
- [Media](https://docs.saleschat.pro/api-documentation/media.md): This page provides API documentation for uploading/dowloading media from Saleschat.pro securely.
- [Apps](https://docs.saleschat.pro/api-documentation/apps.md): This page provides API documentation for sending WABA template messages in Saleschat.pro, including required parameters and template validation rules for successful message delivery via Apps.
- [Attributes](https://docs.saleschat.pro/api-documentation/attributes.md): This page provides API documentation for performing operations on Dynamic Attributes.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.saleschat.pro/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
